Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg
Class SRS

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg.SRS

    public class SRS

extends java.lang.Object

Encapsulation of an SRS (selectively refined scan) entry for a JPEG image.

Author:
  Gary McGath

Constructor Summary
`SRS(int vertOffset, int horOffset, int vertSize, int horSize)` Constructor.

Method Summary
`Property` | `makeProperty()` Returns a Property defining the SRS

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SRS

    public SRS(int vertOffset,
               int horOffset,
               int vertSize,
               int horSize)

  Constructor.

Method Detail

### makeProperty

    public Property makeProperty()

  Returns a Property defining the SRS

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD